Firefox broken, can't load pages

Schwim

New Member
Hi there!

Pixel 3a XL
Android 11 build RP1A.200720.009
Adguard 3.5(63)
Firefox 81.1.1

I am unable to load most pages in Firefox.
......
Secure Connection Failed

  • This could be a problem with the server’s configuration, or it could be someone trying to impersonate the server.
  • If you have connected to this server successfully in the past, the error may be temporary, and you can try again later.

Suspecting it's an issue with certificate, I tried to follow the following kb article:

But it fails. About:config redirects to resource://android/assets/low_and_medium_risk_error_pages.html?&title=Cannot+Complete+Request&button=Try+Again&description=%3Cp%3EAdditional+information+about+this+problem+or+error+is+currently+unavailable.%3C%2Fp%3E&image=&showSSL=false&badCertAdvanced=Advanced%E2%80%A6&badCertTechInfo=%3Clabel%3ESomeone+could+be+trying+to+impersonate+the+site+and+you+should+not+continue.%3C%2Flabel%3E+%3Cbr%3E%3Cbr%3E+%3Clabel%3EWebsites+prove+their+identity+via+certificates.+Firefox+does+not+trust+%3Cb%3Eabout%3Aconfig%3C%2Fb%3E+because+its+certificate+issuer+is+unknown%2C+the+certificate+is+self-signed%2C+or+the+server+is+not+sending+the+correct+intermediate+certificates.%3C%2Flabel%3E&badCertGoBack=Go+Back+%28Recommended%29&badCertAcceptTemporary=Accept+the+Risk+and+Continue

Which is just like one huge error packed into a url.

I've tried uninstalling and reinstalling firefox but the issue persists. Could someone tell me what I need to do to get Firefox working again?

Thanks for your time!
 

Schwim

New Member
I have googled and tried everything, including setting everything up on another phone I have(pixel 3 instead of 3a xl) and the issue persists even on the new phone. Secure connection failed and following the kb article on the Adguard site fails because about:config can not be reached.
 

Boo Berry

Moderator + Beta Tester
Moderator
You have to either downgrade Firefox to an old version (e.g. Firefox 68) and install the certificate there then upgrade back to Firefox 81 or use Firefox beta or Firefox nightly as Firefox stable doesn't currently allow installing of certificates.
 

Schwim

New Member
You have to either downgrade Firefox to an old version (e.g. Firefox 68) and install the certificate there then upgrade back to Firefox 81 or use Firefox beta or Firefox nightly as Firefox stable doesn't currently allow installing of certificates.
Thanks so much, upgrading to beta solved the issue!
 

d0x

Member
Well that's weird because I had the Firefox nightly installed and it worked fine for months until one day it stopped and started behaving like regular Firefox (telling me everything was unsafe)

So I already had the cert installed and the app working but they updated the app and broke it so how would I get it working again?

*Edit,. Got main version of Firefox working*
 
Last edited:
Top